#include <string>
#include <iostream>
using namespace std;
string najveci(string a1, string a2, string b1, string b2, string c1, string c2)
{
    string max=a1;
    char m=a1[0];
    for(int i=0; i<a1.size(); i++)
    {
        if(a2[i]>m)
        {
            max=a2;
            break;
        }
        if(b1[i]>m)
        {
            max=b1;
            break;
        }
        if(b2[i]>m)
        {
            max=b2;
            break;
        }
        if(c1[i]>m)
        {
            max=c1;
            break;
        }
        if(c2[i]>m)
        {
            max=c2;
            break;
        }
        m=a1[i+1];
    }
    return max;
}
int main()
{
    string x, y, z;
    cin >> x >> y >> z;
    string a1="", a2="", b1, b2, c1, c2;
    a1+=x;
    a1+=y;
    a1+=z;
    a2+=x;
    a2+=z;
    a2+=y;
    b1+=y;
    b1+=x;
    b1+=z;
    b2+=y;
    b2+=z;
    b2+=x;
    c1+=z;
    c1+=x;
    c1+=y;
    c2+=z;
    c2+=y;
    c2+=x;
    string max=najveci(a1, a2, b1, b2, c1, c2);
    cout << max;

    return 0;
}